Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.genericasync.session
Interface GenAsyncService

All Known Implementing Classes:
  GenAsyncServiceImpl

    public interface GenAsyncService

The Business Connector for General Practitioners provides a simplified interface to access the GenericAsync service by providing the following functionality: it retrieves the token from the session. Default impl : `GenAsyncServiceImpl`

Method Summary
`ConfirmResponse` | `confirmRequest(Confirm request, WsAddressingHeader header)` Sends a confirm request to the WS.
`GetResponse` | `getRequest(Get request, WsAddressingHeader header)` Returns the `Responses` from the post previously sent and generate the token.
`PostResponse` | `postRequest(Post request, WsAddressingHeader header)` Returns the `TAck` of the request of an operation and generate the token.

Method Detail

### postRequest

    PostResponse postRequest(Post request,
                             WsAddressingHeader header)
                             throws GenAsyncBusinessConnectorException,
                                    TechnicalConnectorException,
                                    SessionManagementException

  Returns the `TAck` of the request of an operation and generate the token.

  Parameters:
    `request` - the request
  Returns:
    TAck
  Throws:
    `GenAsyncBusinessConnectorException`
    `TechnicalConnectorException`
    `SessionManagementException`

### getRequest

    GetResponse getRequest(Get request,
                           WsAddressingHeader header)
                           throws GenAsyncBusinessConnectorException,
                                  TechnicalConnectorException,
                                  SessionManagementException

  Returns the `Responses` from the post previously sent and generate the token.

  Parameters:
    `request` - the request
  Returns:
    Responses
  Throws:
    `GenAsyncBusinessConnectorException`
    `TechnicalConnectorException`
    `SessionManagementException`

### confirmRequest

    ConfirmResponse confirmRequest(Confirm request,
                                   WsAddressingHeader header)
                                   throws GenAsyncBusinessConnectorException,
                                          TechnicalConnectorException,
                                          SessionManagementException

  Sends a confirm request to the WS.

  Parameters:
    `request` - the request
  Returns:
    the response
  Throws:
    `GenAsyncBusinessConnectorException`
    `TechnicalConnectorException`
    `SessionManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.